﻿
namespace DbExample.Web.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;


    // The MetadataTypeAttribute identifies DocumentMetadata as the class
    // that carries additional metadata for the Document class.
    [MetadataTypeAttribute(typeof(Document.DocumentMetadata))]
    public partial class Document
    {

        // This class allows you to attach custom attributes to properties
        // of the Document class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class DocumentMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private DocumentMetadata()
            {
            }

            public string Content { get; set; }

            public int DocumentID { get; set; }

            public string Title { get; set; }
        }
    }
}
